---
updatedAt: 2026-07-27T10:41:18.000Z
agentTools:
  projectIndex: https://developers.dailymotion.com/v0/llms.txt
---

# Create and schedule a live event

<Callout icon="🚀" theme="default">
  ### API v2 now available

  Visit the <Anchor target="_blank" href="https://developers.dailymotion.com/v2/reference/introduction">API v2 documentation</Anchor> or follow the <Anchor target="_blank" href="https://developers.dailymotion.com/v2/docs/migrating-from-legacy-api-to-api-v2">migration guide</Anchor> to upgrade.
</Callout>

<br />

<br />

***

<Callout icon="⭐" theme="default">
  ### Streaming live events is a plan feature

  Please reach out to your Dailymotion Account Manager or our <Anchor target="_blank" href="https://faq.dailymotion.com/hc/en-us/requests/new">Support Team</Anchor> to subscribe and set up the feature on your account.
</Callout>

<br />

# Overview

On Dailymotion, a video is considered a live stream when its [`mode`](https://developers.dailymotion.com/reference/video-fields#/mode) is set to `live`.

For all operations regarding live streaming (and in general, video) management, you need to request an **access token with the**`manage_videos` <Anchor target="_blank" href="https://developers.dailymotion.com/v0/reference/api-scopes">scope</Anchor>. Check out the <Anchor target="_blank" href="https://developers.dailymotion.com/v0/docs/authenticate">authentication guide</Anchor> for details on how you can request an access token with this scope from your user during the authentication step.

The following implementation steps will get you started with streaming live content.

<Callout icon="👍" theme="okay">
  ### Alternative

  If you prefer a **user-friendly interface**, you can <Anchor target="_blank" href="https://faq.dailymotion.com/hc/articles/115009103088">create and schedule a live event from the Dailymotion Studio</Anchor> rather than from the API.
</Callout>

***

# Implementation steps

## 1. Create a live stream

Since a live stream is based on a video, you can either create a new video with [`mode`](https://developers.dailymotion.com/reference/video-fields#/mode) set to `live`, or use an existing one.

To create a new video, make a `POST` HTTP request on `https://api.dailymotion.com/user/PROFILE_ID/videos` containing at least the following mandatory parameters:

* [`title=<TITLE>`](https://developers.dailymotion.com/reference/video-fields#/title)
* [`mode=live`](https://developers.dailymotion.com/reference/video-fields#/mode)
* [`published=true`](https://developers.dailymotion.com/reference/video-fields#/published)
* [`channel=<CATEGORY>`](https://developers.dailymotion.com/reference/video-fields#/channel) (i.e. `channel=videogames`)
* [`is_created_for_kids=<true|false>`](https://developers.dailymotion.com/reference/video-fields#/is_created_for_kids)

```curl
curl --request POST \
     --header "Authorization: Bearer ${ACCESS_TOKEN}" \
     --form 'title=My Live Event' \
     --form 'mode=live' \
     --form 'published=true' \
     --form 'channel=videogames' \
     --form 'is_created_for_kids=false'\
     "https://partner.api.dailymotion.com/user/PROFILE_ID/videos"
```

<Cards columns={1}>
  <Card title="Create a live event: Try it out!" href="https://developers.dailymotion.com/v0/reference/partner-api-create-a-video" icon="fa-angle-double-down" />
</Cards>

Note that you can fill in the [`description`](https://developers.dailymotion.com/reference/video-fields#/description) and any other field just as you would do for any kind of video.

Otherwise, you can use an existing video as a placeholder and transform this video into a live stream by setting the [`mode`](https://developers.dailymotion.com/reference/video-fields#/mode) field to `live`.

```curl
curl --request POST \
     --header "Authorization: Bearer ${ACCESS_TOKEN}" \
     --form 'mode=live' \
     "https://partner.api.dailymotion.com/user/PROFILE_ID/video/<VIDEO_ID>"
```

<Cards columns={1}>
  <Card title="Edit an existing video into a live event: Try it out!" href="https://developers.dailymotion.com/v0/reference/partner-api-edit-a-video" icon="fa-angle-double-down" />
</Cards>

## 2. Schedule your live event

Schedule your live event by using either the [`start_time`](https://developers.dailymotion.com/reference/video-fields#/start_time) and [`end_time`](https://developers.dailymotion.com/reference/video-fields#/end_time) fields, or [`start_time`](https://developers.dailymotion.com/reference/video-fields#/start_time) combined with [`duration`](https://developers.dailymotion.com/reference/video-fields#/duration).

You can also plan to stream your live event on a regular basis by using the [`recurrence`](https://developers.dailymotion.com/reference/video-fields#/recurrence) field. Note that a recurrence can only be applied if the live stream has both a start date and a duration.

<Callout icon="⚠️" theme="warn">
  ### Note

  Applying a recurrence can be performed together with start and end times in a single HTTP request.
</Callout>

```curl
curl --request POST \
     --header "Authorization: Bearer ${ACCESS_TOKEN}" \
     --form 'start_time=${START_TIME}' \
     --form 'end_time=${END_TIME}' \
     "https://api.dailymotion.com/user/PROFILE_ID/video/<VIDEO_ID>"
```

## 3. Start streaming

Everything is now ready, you can start streaming your content to our servers. Perform a `GET` HTTP request on your video asking for the [`live_publish_url`](https://developers.dailymotion.com/reference/video-fields#/live_publish_url) field to retrieve the RTMP URL to feed your encoder.

```curl
curl --header "Authorization: Bearer ${ACCESS_TOKEN}" \
     --form 'fields=live_publish_url' \
     "https://partner.api.dailymotion.com/user/PROFILE_ID/video/<VIDEO_ID>"

```

This field returns an RTMP url containing both stream url and stream key divided as below:

| **RTMP URL example** | rtmp\://publish.dailymotion.com/publish-dm/x1a2b3c?auth=x1cg\_588354a7718b9bc1eccfbf9ce62a675714149291 |
| -------------------- | ------------------------------------------------------------------------------------------------------ |
| **Stream URL part**  | rtmp\://publish.dailymotion.com/publish-dm                                                             |
| **Stream Key part**  | x1a2b3c?auth=x1cg\_588354a7718b9bc1eccfbf9ce62a675714149291                                            |

***

# Useful fields and filters to manage live streams

The following list details some fields and filters of the video object that you may want to use when broadcasting your event and managing your live stream.

For more information about those fields, filters and others, please check the API Reference (<Anchor target="_blank" href="https://developers.dailymotion.com/v0/reference/video-fields">fields</Anchor> / <Anchor target="_blank" href="https://developers.dailymotion.com/v0/reference/video-filters">filters</Anchor> ) or click on any of these fields.